Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2996903002: [infra] Translate _sources.gypi files to _sources.gni files (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months ago by zra
Modified:
2 months ago
CC:
reviews_dartlang.org, turnidge, vm-dev_dartlang.org
Target Ref:
refs/heads/master
Visibility:
Public.

Description

[infra] Translate _sources.gypi files to _sources.gni files Also deletes code that becomes dead as a result. R=rmacnak@google.com Committed: https://github.com/dart-lang/sdk/commit/734beef0624a9b246e892c95ca0c301c5d318331

Patch Set 1 #

Patch Set 2 : Add missing file #

Patch Set 3 : Rebase #

Patch Set 4 : Rebase. Fix script. #

Patch Set 5 : Fix script #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1807 lines, -3119 lines) Patch
M runtime/BUILD.gn View 8 chunks +8 lines, -8 lines 0 comments Download
M runtime/bin/BUILD.gn View 1 2 3 8 chunks +18 lines, -18 lines 0 comments Download
A runtime/bin/builtin_impl_sources.gni View 1 chunk +80 lines, -0 lines 0 comments Download
D runtime/bin/builtin_impl_sources.gypi View 1 chunk +0 lines, -78 lines 0 comments Download
A + runtime/bin/builtin_sources.gni View 1 chunk +2 lines, -6 lines 0 comments Download
D runtime/bin/builtin_sources.gypi View 1 chunk +0 lines, -10 lines 0 comments Download
D runtime/bin/gypi_contents.gni View 1 chunk +0 lines, -43 lines 0 comments Download
A runtime/bin/io_impl_sources.gni View 1 chunk +104 lines, -0 lines 0 comments Download
D runtime/bin/io_impl_sources.gypi View 1 chunk +0 lines, -106 lines 0 comments Download
A runtime/bin/io_sources.gni View 1 chunk +20 lines, -0 lines 0 comments Download
D runtime/bin/io_sources.gypi View 1 chunk +0 lines, -22 lines 0 comments Download
A + runtime/bin/vmservice/vmservice_sources.gni View 1 chunk +6 lines, -8 lines 0 comments Download
D runtime/bin/vmservice/vmservice_sources.gypi View 1 chunk +0 lines, -13 lines 0 comments Download
A runtime/lib/async_sources.gni View 1 chunk +12 lines, -0 lines 0 comments Download
D runtime/lib/async_sources.gypi View 1 chunk +0 lines, -14 lines 0 comments Download
A runtime/lib/collection_sources.gni View 1 chunk +11 lines, -0 lines 0 comments Download
D runtime/lib/collection_sources.gypi View 1 chunk +0 lines, -13 lines 0 comments Download
A + runtime/lib/convert_sources.gni View 1 chunk +2 lines, -6 lines 0 comments Download
D runtime/lib/convert_sources.gypi View 1 chunk +0 lines, -9 lines 0 comments Download
A runtime/lib/core_sources.gni View 1 chunk +57 lines, -0 lines 0 comments Download
D runtime/lib/core_sources.gypi View 1 chunk +0 lines, -59 lines 0 comments Download
A runtime/lib/developer_sources.gni View 1 chunk +16 lines, -0 lines 0 comments Download
D runtime/lib/developer_sources.gypi View 1 chunk +0 lines, -19 lines 0 comments Download
A runtime/lib/internal_sources.gni View 1 chunk +14 lines, -0 lines 0 comments Download
D runtime/lib/internal_sources.gypi View 1 chunk +0 lines, -16 lines 0 comments Download
A + runtime/lib/isolate_sources.gni View 1 chunk +6 lines, -8 lines 0 comments Download
D runtime/lib/isolate_sources.gypi View 1 chunk +0 lines, -12 lines 0 comments Download
A + runtime/lib/math_sources.gni View 1 chunk +5 lines, -7 lines 0 comments Download
D runtime/lib/math_sources.gypi View 1 chunk +0 lines, -10 lines 0 comments Download
A runtime/lib/mirrors_sources.gni View 1 chunk +15 lines, -0 lines 0 comments Download
D runtime/lib/mirrors_sources.gypi View 1 chunk +0 lines, -17 lines 0 comments Download
A + runtime/lib/profiler_sources.gni View 1 chunk +2 lines, -8 lines 0 comments Download
D runtime/lib/profiler_sources.gypi View 1 chunk +0 lines, -12 lines 0 comments Download
A + runtime/lib/typed_data_sources.gni View 1 chunk +6 lines, -9 lines 0 comments Download
D runtime/lib/typed_data_sources.gypi View 1 chunk +0 lines, -13 lines 0 comments Download
A + runtime/lib/vmservice_sources.gni View 1 chunk +2 lines, -7 lines 0 comments Download
D runtime/lib/vmservice_sources.gypi View 1 chunk +0 lines, -11 lines 0 comments Download
M runtime/observatory/BUILD.gn View 3 chunks +3 lines, -8 lines 0 comments Download
A runtime/observatory/observatory_sources.gni View 1 2 3 1 chunk +284 lines, -0 lines 0 comments Download
D runtime/observatory/observatory_sources.gypi View 1 2 3 1 chunk +0 lines, -284 lines 0 comments Download
M runtime/observatory/update_sources.py View 1 2 3 4 1 chunk +23 lines, -21 lines 0 comments Download
A runtime/platform/BUILD.gn View 1 chunk +34 lines, -0 lines 0 comments Download
D runtime/platform/platform_headers.gypi View 1 chunk +0 lines, -22 lines 0 comments Download
A runtime/platform/platform_sources.gni View 1 chunk +27 lines, -0 lines 0 comments Download
D runtime/platform/platform_sources.gypi View 1 chunk +0 lines, -15 lines 0 comments Download
M runtime/vm/BUILD.gn View 5 chunks +76 lines, -77 lines 0 comments Download
D runtime/vm/gypi_contents.gni View 1 chunk +0 lines, -53 lines 0 comments Download
D runtime/vm/service_sources.gypi View 1 chunk +0 lines, -15 lines 0 comments Download
A runtime/vm/vm_sources.gni View 1 2 1 chunk +561 lines, -0 lines 0 comments Download
D runtime/vm/vm_sources.gypi View 1 2 1 chunk +0 lines, -560 lines 0 comments Download
A sdk/lib/async/async_sources.gni View 1 chunk +23 lines, -0 lines 0 comments Download
D sdk/lib/async/async_sources.gypi View 1 chunk +0 lines, -24 lines 0 comments Download
A sdk/lib/collection/collection_sources.gni View 1 chunk +23 lines, -0 lines 0 comments Download
D sdk/lib/collection/collection_sources.gypi View 1 chunk +0 lines, -24 lines 0 comments Download
A sdk/lib/convert/convert_sources.gni View 1 chunk +23 lines, -0 lines 0 comments Download
D sdk/lib/convert/convert_sources.gypi View 1 chunk +0 lines, -24 lines 0 comments Download
A sdk/lib/core/core_sources.gni View 1 chunk +42 lines, -0 lines 0 comments Download
D sdk/lib/core/core_sources.gypi View 1 chunk +0 lines, -43 lines 0 comments Download
A sdk/lib/developer/developer_sources.gni View 1 chunk +13 lines, -0 lines 0 comments Download
D sdk/lib/developer/developer_sources.gypi View 1 chunk +0 lines, -14 lines 0 comments Download
A sdk/lib/internal/internal_sources.gni View 1 chunk +16 lines, -0 lines 0 comments Download
D sdk/lib/internal/internal_sources.gypi View 1 chunk +0 lines, -17 lines 0 comments Download
A sdk/lib/io/io_sources.gni View 1 chunk +42 lines, -0 lines 0 comments Download
D sdk/lib/io/io_sources.gypi View 1 chunk +0 lines, -43 lines 0 comments Download
A sdk/lib/isolate/isolate_sources.gni View 1 chunk +10 lines, -0 lines 0 comments Download
D sdk/lib/isolate/isolate_sources.gypi View 1 chunk +0 lines, -11 lines 0 comments Download
A sdk/lib/math/math_sources.gni View 1 chunk +13 lines, -0 lines 0 comments Download
D sdk/lib/math/math_sources.gypi View 1 chunk +0 lines, -14 lines 0 comments Download
A sdk/lib/mirrors/mirrors_sources.gni View 1 chunk +8 lines, -0 lines 0 comments Download
D sdk/lib/mirrors/mirrors_sources.gypi View 1 chunk +0 lines, -10 lines 0 comments Download
A sdk/lib/profiler/profiler_sources.gni View 1 chunk +8 lines, -0 lines 0 comments Download
D sdk/lib/profiler/profiler_sources.gypi View 1 chunk +0 lines, -10 lines 0 comments Download
D sdk/lib/rules.gni View 1 chunk +0 lines, -59 lines 0 comments Download
A sdk/lib/typed_data/typed_data_sources.gni View 1 chunk +8 lines, -0 lines 0 comments Download
D sdk/lib/typed_data/typed_data_sources.gypi View 1 chunk +0 lines, -10 lines 0 comments Download
A sdk/lib/vmservice/vmservice_sources.gni View 1 chunk +19 lines, -0 lines 0 comments Download
D sdk/lib/vmservice/vmservice_sources.gypi View 1 chunk +0 lines, -21 lines 0 comments Download
M third_party/tcmalloc/BUILD.gn View 3 chunks +3 lines, -6 lines 0 comments Download
A third_party/tcmalloc/tcmalloc_sources.gni View 1 1 chunk +155 lines, -0 lines 0 comments Download
D third_party/tcmalloc/tcmalloc_sources.gypi View 1 chunk +0 lines, -157 lines 0 comments Download
D tools/android_link.py View 1 chunk +0 lines, -162 lines 0 comments Download
M tools/build.py View 1 2 3 1 chunk +5 lines, -607 lines 0 comments Download
D tools/gypi_to_gn.py View 1 chunk +0 lines, -171 lines 0 comments Download
M tools/ninja.py View 1 chunk +2 lines, -6 lines 0 comments Download
D tools/process_gypis.py View 1 chunk +0 lines, -69 lines 0 comments Download
Trybot results:
Commit queue not available (can’t edit this change).

Messages

Total messages: 7 (2 generated)
zra
2 months ago (2017-08-11 22:10:58 UTC) #2
rmacnak
On 2017/08/11 22:10:58, zra wrote: The change is missing tcmalloc_sources.gni
2 months ago (2017-08-11 23:48:46 UTC) #3
zra
On 2017/08/11 23:48:46, rmacnak wrote: > On 2017/08/11 22:10:58, zra wrote: > > The change ...
2 months ago (2017-08-12 20:30:58 UTC) #4
rmacnak
lgtm
2 months ago (2017-08-14 17:44:43 UTC) #5
zra
2 months ago (2017-08-15 04:54:42 UTC) #7
Message was sent while issue was closed.
Committed patchset #5 (id:70001) manually as
734beef0624a9b246e892c95ca0c301c5d318331 (presubmit successful).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa